<?xml version="1.0" encoding="UTF-8"?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xfm="http://www.w3.org/2002/xforms" xmlns:xlink="http://www.w3.org/1999/xlink " xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:my="http://commerce.example.com/payment" xmlns:ev="http://www.w3.org/2001/xml-events" xml:lang="en">
<head>
    <style type="text/css">
        input.linkinput::value {width: 280px;background-color:#eeeeee;}
        input.section::value {font-size: 20px;width: 580px;background-color:#eeeeee;display:block!important;}
        input.section label {background-color:blue;color:white;width:580px;display:block!important;}
        input, input::value, input > label,trigger.go ,trigger.go::value {display:inline!important;}
        p.link {margin-top:1px;margin-bottom:1px;padding-left:20px;}
        p.section {margin: 5px; border-style:solid;border-width:2px;background-color:#eeeeee;padding-left:20px;padding-top:8px;}
        div.main {margin-left: 20px;}
        submit {color:red;font-weight:bold;}
        trigger.go {font-size:7pt;}
        trigger.go::value {font-size:7pt;}
        .buttonrow > trigger, .buttonrow >trigger::value {display:inline!important;}
        *::repeat-index input::value {background-color:#ddddff!important;}
    </style>
    <title>Edit address book</title>
    <xfm:model id="addressbook">
        <xfm:submission id="submit1" method="put" action="addressbook2.xml" replace="none"/>
        <xfm:schema />
        <xfm:instance src="addressbook2.xml" />
    </xfm:model>
</head>
<body>
    <h1>Edit addressbook</h1>
    <xfm:repeat ref="user" id="repeatAddress">
        <p class="link">
            <xfm:input ref="@name" class="linkinput">
                <xfm:label></xfm:label>
            </xfm:input>
            <xfm:input ref="@address" class="linkinput">
                <xfm:label></xfm:label>
            </xfm:input>
        </p>
    </xfm:repeat>
    <!-- INSERT BOOKMARK BUTTON -->
    <p class="buttonrow">
        <xfm:trigger id="insertbutton">
            <xfm:label>Insert before</xfm:label>
            <xfm:action ev:event="DOMActivate">
                <xfm:insert nodeset="/addressbook/user" at="index('repeatAddress')" position="before"  />
                <xfm:setvalue ref="/addressbook/user[index('repeatAddress')]/@address">sip://</xfm:setvalue>
            </xfm:action>
        </xfm:trigger>
        <xfm:trigger id="insertafterbutton">
            <xfm:label>Insert after</xfm:label>
            <xfm:action ev:event="DOMActivate">
                <xfm:insert nodeset="/addressbook/user" at="index('repeatAddress')" position="after"  />
                <xfm:setvalue ref="/addressbook/user[index('repeatAddress')]/@address">sip://</xfm:setvalue>
            </xfm:action>
        </xfm:trigger>
        <!-- DELETE BOOKMARK BUTTON -->
        <xfm:trigger id="delete">
            <xfm:label>Delete bookmark</xfm:label>
            <xfm:delete nodeset="/addressbook/user" at="index('repeatAddress')" ev:event="xforms-activate" />
        </xfm:trigger>
    </p>
    <p>
        <!-- SUBMIT BUTTON -->
        <xfm:submit class="inline" name="Submit" submission="submit1">
            <xfm:hint>Click to submit</xfm:hint>
            <xfm:label>Save</xfm:label>
        </xfm:submit>
    </p>
</body>
</html>
